import { C as ControllerConfiguration, I as IntlController } from './intl-c7203820.js';
import './messages-4c34bad5.js';
import { L as LocaleDescriptor, a as Locale } from './locales-4dff1e83.js';
import './sources-02c94682.js';
import 'vue';
import './ErrorEvent-604a2af0.js';
import '@braw/extended-intl';
import './translateFunction-ab8aa24f.js';
import 'intl-messageformat';
import '@braw/async-computed';
import '@formatjs/intl';
import '@formatjs/icu-messageformat-parser';

declare function createController<ControllerType>(initialConfiguration?: Partial<ControllerConfiguration<ControllerType>>, initialLocaleData?: Map<LocaleDescriptor, Locale>): IntlController<ControllerType>;

export { IntlController, createController };
